Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Object_Adapter::poa_name_iterator Class Reference

Iterator for a folded poa name. More...

`#include <Object_Adapter.h>`

List of all members.

## Public Methods
| poa_name_iterator (int begin, CORBA::ULong size, const CORBA::Octet *folded_buffer)
| Constructor. More...
int | operator== (const poa_name_iterator &rhs) const
| Comparison operators. More...
int | operator!= (const poa_name_iterator &rhs) const
ACE_CString | operator * () const
| Dereference operator. More...
poa_name_iterator & | operator++ (void)
| Prefix advance. More...
## Protected Attributes
CORBA::ULong | size_
CORBA::ULong | position_
const CORBA::Octet * | folded_buffer_
CORBA::ULong | last_separator_

## Detailed Description

Iterator for a folded poa name.

## Constructor & Destructor Documentation

TAO_Object_Adapter::poa_name_iterator::poa_name_iterator | ( | int | begin,
|  | CORBA::ULong | size,
|  | const CORBA::Octet * | folded_buffer
| ) |

| Constructor.

## Member Function Documentation

ACE_CString TAO_Object_Adapter::poa_name_iterator::operator * | ( |  | ) | const

| Dereference operator.

int TAO_Object_Adapter::poa_name_iterator::operator!= | ( | const poa_name_iterator & | rhs | ) | const

TAO_Object_Adapter::poa_name_iterator & TAO_Object_Adapter::poa_name_iterator::operator++ | ( | void |  | ) |

| Prefix advance.

int TAO_Object_Adapter::poa_name_iterator::operator== | ( | const poa_name_iterator & | rhs | ) | const

| Comparison operators.

## Member Data Documentation

const CORBA::Octet* TAO_Object_Adapter::poa_name_iterator::folded_buffer_`[protected]`

CORBA::ULong TAO_Object_Adapter::poa_name_iterator::last_separator_`[protected]`

CORBA::ULong TAO_Object_Adapter::poa_name_iterator::position_`[protected]`

CORBA::ULong TAO_Object_Adapter::poa_name_iterator::size_`[protected]`

The documentation for this class was generated from the following files:

- Object_Adapter.h
- Object_Adapter.cpp